Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ServerSecurityRuntimeMBean

public interface ServerSecurityRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic Security Info.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `clearLockout(java.lang.String userName)` Unlocks a locked user account.
`long` | `getInvalidLoginAttemptsTotalCount()` Returns the cumulative number of invalid logins attempted on this server
`long` | `getInvalidLoginUsersHighCount()` Returns the highwater number of users with outstanding invalid login attempts for this server
`long` | `getLastLoginFailure(java.lang.String userName)` Returns the time as a string of the last login failure for this user.
`long` | `getLockedUsersCurrentCount()` Returns the number of currently locked users on this server
`long` | `getLoginAttemptsWhileLockedTotalCount()` Returns the cumulative number of invalid logins attempted on this server attempted while the user was locked
`int` | `getLoginFailureCount(java.lang.String userName)` Returns the current count of login failures for this user.
`long` | `getUnlockedUsersTotalCount()` Returns the number times we have unlocked a user on this server
`long` | `getUserLockoutTotalCount()` Returns the cumulative number of user lockouts done on this server
`boolean` | `isLockedOut(java.lang.String userName)` Indicates whether or not a user is locked out of their account.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getUserLockoutTotalCount

    public long getUserLockoutTotalCount()

  Returns the cumulative number of user lockouts done on this server

  Returns:
    The userLockoutTotalCount value

### getInvalidLoginAttemptsTotalCount

    public long getInvalidLoginAttemptsTotalCount()

  Returns the cumulative number of invalid logins attempted on this server

  Returns:
    The invalidLoginAttemptsTotalCount value

### getLoginAttemptsWhileLockedTotalCount

    public long getLoginAttemptsWhileLockedTotalCount()

  Returns the cumulative number of invalid logins attempted on this server attempted while the user was locked

  Returns:
    The loginAttemptsWhileLockedTotalCount value

### getInvalidLoginUsersHighCount

    public long getInvalidLoginUsersHighCount()

  Returns the highwater number of users with outstanding invalid login attempts for this server

  Returns:
    The invalidLoginUsersHighCount value

### getUnlockedUsersTotalCount

    public long getUnlockedUsersTotalCount()

  Returns the number times we have unlocked a user on this server

  Returns:
    The unlockedUsersTotalCount value

### getLockedUsersCurrentCount

    public long getLockedUsersCurrentCount()

  Returns the number of currently locked users on this server

  Returns:
    The lockedUsersCurrentCount value

### isLockedOut

    public boolean isLockedOut(java.lang.String userName)

  Indicates whether or not a user is locked out of their account.

  Default Value: false
  Parameters:
    `userName` -
  Returns:
    The lockedOut value

### clearLockout

    public void clearLockout(java.lang.String userName)

  Unlocks a locked user account.

  Parameters:
    `userName` -

### getLastLoginFailure

    public long getLastLoginFailure(java.lang.String userName)

  Returns the time as a string of the last login failure for this user.

  Parameters:
    `userName` -
  Returns:
    The lastLoginFailure value

### getLoginFailureCount

    public int getLoginFailureCount(java.lang.String userName)

  Returns the current count of login failures for this user. Once a user successfully logs in, or any lockout is cleared this value returns to 0.

  Default Value: 0
  Parameters:
    `userName` -
  Returns:
    The loginFailureCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD